Subject: Re: bug#79050: vc-git incorrectly treats git-crypt encrypted files as binary, even when unlocked

From: Juri Linkov <[email-masked]>
Date: Thu, 24 Jul 2025 19:28:54 +0300

> Would you happen to know about any other uses for textconv filters
> besides git-crypt(1)?

I'm using textconv filters for Rails credentials.  The command
`rails credentials:diff --enroll` adds more lines to these files:

.gitattributes:
config/credentials/*.yml.enc diff=rails_credentials

.git/config:
[diff "rails_credentials"]
  textconv = rails credentials:show

The problem is that the textconv filter command
`rails credentials:show` is very very slow
that makes diff viewing experience too frustrating.

So I add the --textconv switch very rarely,
only when there is a real need to check the contents
of the encrypted files.

But I'm not opposed to adding this switch by default,
provided there is a way to remove it.